UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.LBMSourceDeleteExInfo Class Reference

## Public Member Functions
| LBMSourceDeleteExInfo ()
| LBMSourceDeleteExInfo (int flags, String proxySourceString, long origDomainId)
String | proxySourceString ()
long | originalDomainId ()
int | flags ()
boolean | isHotlink ()

## Detailed Description

LBMSourceDeleteExInfo class. Contains extended information for LBM source creation extended callback. See LBMReceiverAttributes.setSourceNotificationExCallbacks().

Since
  UM 6.17.1

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceDeleteExInfo.LBMSourceDeleteExInfo | ( |  | ) |

Creates a LBMSourceCreateExInfo object and initializes all fields to 0/null.

com.latencybusters.lbm.LBMSourceDeleteExInfo.LBMSourceDeleteExInfo | ( | int | flags,
|  | String | proxySourceString,
|  | long | origDomainId
| ) |  |

Creates a LBMSourceDeleteExInfo object and initializes fields to supplied values.

Parameters

  flags | Flags set by the underlying controller.
  proxySourceString | Source string of the proxy source.
  origDomainId | The domain ID of the originating source.

References com.latencybusters.lbm.LBMSourceDeleteExInfo.flags(), and com.latencybusters.lbm.LBMSourceDeleteExInfo.proxySourceString().

## Member Function Documentation

int com.latencybusters.lbm.LBMSourceDeleteExInfo.flags | ( |  | ) |

For the delivery controller being deleted, get bit map of flags. See flags() and isHotlink(). Defined bits:

- LBM.LBM_SOURCE_NOTIFICATION_EX_INFO_FLAG_HOT_LINK - the config option use_hotlink (receiver) is set to 1. (It does not imply that publisher's source had hot links enabled.)

Returns
  original domain ID.

Referenced by com.latencybusters.lbm.LBMSourceDeleteExInfo.LBMSourceDeleteExInfo().

boolean com.latencybusters.lbm.LBMSourceDeleteExInfo.isHotlink | ( |  | ) |

Convenience function to test flags() for the LBM.LBM_SOURCE_NOTIFICATION_EX_INFO_FLAG_HOT_LINK bit, meaning the config option use_hotlink (receiver) is set to 1. (It does not imply that publisher's source had lot links enabled.)

Returns
  true if the receiver has hotlinks enabled, false otherwise.

References com.latencybusters.lbm.LBM.LBM_SOURCE_NOTIFICATION_EX_INFO_FLAG_HOT_LINK.

long com.latencybusters.lbm.LBMSourceDeleteExInfo.originalDomainId | ( |  | ) |

For the delivery controller being deleted, get originating source's domain ID. The value is only defined if the config option use_hotlink (receiver) is set to 1. See flags() and isHotlink().

Returns
  original domain ID.

String com.latencybusters.lbm.LBMSourceDeleteExInfo.proxySourceString | ( |  | ) |

For the delivery controller being deleted, get the source string of the proxy source, if any. The value is only defined if the config option use_hotlink (receiver) is set to 1. See flags() and isHotlink().

Returns
  proxy source string.

Referenced by com.latencybusters.lbm.LBMSourceDeleteExInfo.LBMSourceDeleteExInfo().

The documentation for this class was generated from the following file:

- LBMSourceDeleteExInfo.java